Generic Tokens
Get token payload
Retrieve the payload associated with a specific generic token.
GET
/
api
/
generic
/
tokens
/
{id}
/
payload
Get token payload
curl --request GET \
--url https://{instance}.{env}.on-hellgate.cloud/api/generic/tokens/{id}/payload \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}.{env}.on-hellgate.cloud/api/generic/tokens/{id}/payload"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instance}.{env}.on-hellgate.cloud/api/generic/tokens/{id}/payload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"iban": "DE89370400440532013000",
"bic": "COBADEFFXXX",
"account_holder_name": "John Doe"
}{
"code": 401,
"message": "No valid means of authentication was provided",
"classifier": "UNAUTHORIZED"
}{
"code": 403,
"message": "Not allowed to access this resource or feature",
"classifier": "FORBIDDEN"
}{
"code": 404,
"message": "The requested resource was not found.",
"classifier": "NOT_FOUND"
}Authorizations
bearerAuthAPIKey
JWT bearer token obtained via the OAuth2 client-credentials grant from the platform Authentication API. The token's scopes gate the endpoints it may call, and its audience names the Guardian instance. This is the standard way to authenticate to Guardian.
Path Parameters
The ID of the token whose payload is to be retrieved.
Response
Success response
The payload is a key-value map, that can contain any information the user wants to store in the token.
- Maximum 20 key-value pairs. * Maximum 20 characters per key. * Maximum 80 characters per value.
⌘I
Get token payload
